Create new activity_technologies_practices_processes
POST /obp/dynamic-entity/banks/dylan-bank/activity_technologies_practices_processes
OBPv4.0.0-dynamicEntity_createactivity_technologies_practices_processes_dylan-bank Roles: CanCreateDynamicEntityRecord_activity_technologies_practices_processes(per bank) _Activity_technologies_practices_processes(dylan-bank)Dynamic-EntityDynamic
Create new activity_technologies_practices_processes.
This is the intersecting entity showing what technologies and practices are being carried out on a certain activity. This Dynamic Entity is part of OGCR.
MethodRouting settings example:
<details>
{
"is_bank_id_exact_match":false,
"method_name":"dynamicEntityProcess",
"connector_name":"rest_vMar2019",
"bank_id_pattern":".*",
"parameters":[
{
"key":"entityName",
"value":"activity_technologies_practices_processes"
}
{
"key":"url",
"value":"http://mydomain.com/xxx"
}
]
}
</details>
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example request body
{
"activity_id": "string",
"technologies_practices_processes_id": "string"
}Example success response
{
"bank_id": "dylan-bank",
"activity_technologies_practices_processes": {
"activity_technologies_practices_processes_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
"activity_id": "string",
"technologies_practices_processes_id": "string"
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.